
海思1G_wifi - Bug #3319

2.3.8流量统计，WiFi流量统计不对

03/31/2025 17:41 - 天文 刘

Status: Resolved Start date: 03/31/2025

Priority: Normal Due date:  

Assignee: chuanjia liu % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250423164652 复现概率: 100%

Description

测试步骤：

1.长按恢复家庭网关出厂设置，家庭网关新建三个WAN连接，一个TR069 WAN连接（VLAN ID为46），一个上网业务路由WAN连接（VLAN

ID为175或70），一个OTHER桥接WAN（VLAN

ID为175或70）绑定接LAN2。启用两个无线SSID，分别为2.4G和5G频段（其它SSID都去使能）,其中5G频段SSID绑定OTHER桥接WAN连接。AP1设置为桥接模式并连接到家庭网关

LAN1口，PC1和PC2分别通过有线连接到AP1的上网口；PC3连接到家庭网关LAN2口并采用DHCP认证方式；PC4、PC5分别通过无线连接到家庭网关，其中PC4连接2.4G

SSID，PC5连接5G SSID并采用DHCP认证方式；不要连接其它设备。测试设备拓扑图如下图所示：

2.暂停中间件直到测试结束（示例命令中的100单位为分钟，可调整）：

dbus-send --system --print-reply --dest=com.ctc.saf1 /com/ctc/saf1 com.ctc.saf1.framework.Pause uint32:"100"

3.PC1、PC2、PC3、PC4、PC5分别远程连接102.1.1.2 FTP服务器（用户名：123,密码：123，取消勾选AutoStop）；

4.查询各下挂终端（PC1~5）当前的收发字节数、各SSID当前的收发字节数、WiFi模块的收发字节数、各WAN连接收发字节数；（提醒：所有操作需保存日志）

5.PC1、PC3、PC4、PC5对指定共计6G大小的文件（60个100MB/104,857,600字节大小的文件+1个144MB/150,994,944字节大小的文件）进行下载,上传共计5G大小的文件（

使用fsutil file createnew test.txt 104,857,600命令，fsutil file createnew test.txt

125,829,120命令，本地生成并复制出50个100MB/104,857,600字节大小的文件+1个120MB/125,829,120字节大小的文件进行上传操作，产生持续的下行、上行流量；PC2对指定总

计6.5G大小的文件（65个100MB/104,857,600字节大小的文件+1个156MB/163,577,856字节大小的文件）进行下载,上传总计4.5G大小的文件（使用fsutil file createnew

test.txt 104,857,600命令，fsutil file createnew test.txt

113,246,208命令，本地生成并复制出45个100MB/104,857,600字节大小的文件+1个108MB/113,246,208字节大小的文件进行上传操作），产生持续的下行、上行流量；

6.文件下载或上传完成后，再次查询各下挂终端（PC1~5）当前的收发字节数、各SSID当前的收发字节数、WiFi模块的收发字节数、各WAN连接收发字节数；

（提醒：步骤6操作完成之后，请务必导出日志！）

7.断开PC2与路由器之间的连接，断开PC3、PC4与网关之间的连接；

8.等待5分钟后，通过DBUS查询PC2、PC3、PC4当前的在线状态以及收发字节数；

9.关闭PC4刚才连接的2.4G SSID；

10.通过DBUS查询该SSID的状态及收发字节数；

11.打开刚才关闭的SSID，关闭2.4G WiFi模块；

12.通过DBUS查询2.4G WiFi模块的状态及收发字节数；

13.关闭5G WiFi模块；

14.通过DBUS查询5G WiFi模块的状态及收发字节数以及NetworkInfo节点中WiFi的收发字节数；

15.在BRAS上将网关Internet WAN连接断开（BRAS执行命令：cut access-user ip-address 192.168.189.XXX，不同BRAS命令可能不同）；

16.通过DBUS查询Internet WAN连接的状态及收发字节数（包括NetworkInfo节点和WANConnectionInfo节点）；

17.通过ITMS修改Internet

WAN连接的状态为去使能（InternetGatewayDevice.WANDevice.{i}.WANConnectionDevice.{i}.WANPPPConnection.{i}.Enable的值为false）；

18.通过DBUS查询Internet WAN连接的状态及收发字节数（包括NetworkInfo节点和WANConnectionInfo节点）；

19.打开2.4G和5G WiFi模块、使能Internet WAN连接，导出日志并重启网关；

20.通过DBUS查询各下挂终端（PC1~5）当前的收发字节数、各SSID当前的收发字节数、WiFi模块的收发字节数、各WAN连接收发字节数；

21.恢复到步骤1中的组网拓扑；

重复步骤3~6。

通过标准：

1.步骤4和步骤6测试结果的差值符合如下要求：

差值要求    偏差

比例

要求

不超

过

0<LANHost_PC1_Rx-6G<600M    10%

0<LANHost_PC1_Tx-5G<500M    10%

0<LANHost_PC2_Rx-6.5G<650M    10%

0<LANHost_PC2_Tx-4.5G<450M    10%

0<LANHost_PC3_Rx-6G<600M    10%

0<LANHost_PC3_Tx-5G<500M    10%
0<LANHost_PC4_Rx-6G<600M    10%

0<LANHost_PC4_Tx-5G<500M    10%

0<LANHost_PC5_Rx-6G<600M    10%

0<LANHost_PC5_Tx-5G<500M    10% |WLANConfig_2.4G_Tx-LANHost_PC4_Rx|<300M    5%

|WLANConfig_2.4G_Rx-LANHost_PC4_Tx|<250M    5% |WLANConfig_5G_Tx-LANHost_PC5_Rx|<300M    5%

|WLANConfig_5G_Rx-LANHost_PC5_Tx|<250M    5% |WiFiInfo_Rx-WLANConfig_2.4G_Rx-WLANConfig_5G_Rx|<500M    5%

|WiFiInfo_Tx-WLANConfig_2.4G_Tx-WLANConfig_5G_Tx|<600M    5% |NetworkInfo_WiFi_Rx-WiFiInfo_Rx|<500M    5%

|NetworkInfo_WiFi_Tx-WiFiInfo_Tx|<600M    5% |NetworkInfo_WiFi-NetworkInfo_WiFi_Rx-NetworkInfo_WiFi_Tx|<500M    5%

|NetworkInfo_LAN1_Tx-LANHost_PC1_Rx-LANHost_PC2_Rx|<625M    5%

|NetworkInfo_LAN1_Rx-LANHost_PC1_Tx-LANHost_PC2_Tx|<475M    5% |NetworkInfo_LAN4_Tx-LANHost_PC3_Rx|<300M    5%

|NetworkInfo_LAN4_Rx-LANHost_PC3_Tx|<250M    5%

|NetworkInfo_WAN_Tx-NetworkInfo_LAN1_Rx-WLANConfig_2.4G_Rx|<725M    5%

|NetworkInfo_WAN_Rx-NetworkInfo_LAN1_Tx-WLANConfig_2.4G_Tx|<925M    5%

|WANConnect_Other_Tx-NetworkInfo_LAN4_Rx-WLANConfig_5G_Rx|<500M    5%

|WANConnect_Other_Rx-NetworkInfo_LAN4_Tx<WLANConfig_5G_Tx|<600M    5%

|WANConnect_Internet_Rx-NetworkInfo_WAN_Rx|<600M    5% |WANConnect_Internet_Tx-NetworkInfo_WAN_Tx|<500M    5%

|NetworkInfo_WAN-NetworkInfo_WAN_Rx-NetworkInfo_WAN_Tx|<600M    5%

|PONInfo_Rx-WANConnect_Internet_Rx-WANConnect_Other_Rx|<3G    5%

|PONInfo_Tx-WANConnect_Internet_Tx-WANConnect_Other_Tx|<2.45G    5%

2.步骤8中，PC2、PC3、PC4的Active值为false，收发字节数未被清零且大于等于步骤6中查询到的结果；

3.步骤10中，该SSID的Enable值为false，收发字节数未被清零且大于等于步骤6中查询到的结果；

4.步骤12中，Enable2G的值为false，收发字节数未被清零且大于等于步骤6中查询到的结果；

5.步骤14中，Enable5G的值为false，收发字节数未被清零且大于等于步骤6中查询到的结果；NetworkInfo节点中WiFiBytes、WiFiTxBytes、WiFiRxBytes未被清零且大于等于步

骤6中查询到的结果；

6.步骤16中，Internet WAN的收发字节数未被清零且大于等于步骤6中查询到的结果；

7.步骤18中，Internet WAN的收发字节数未被清零且大于等于步骤6中查询到的结果；

8.步骤20中，各下挂终端（PC1~5）当前的收发字节数、各SSID当前的收发字节数、WiFi模块的收发字节数、各WAN连接收发字节数被清零（允许存在少量收发字节数）；

步骤22测试结果各项数据，符合通过标准1要求

实际结果

1.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/LANHosts

com.ctc.igd1.ObjectManager.GetManagedObjects

读出来下挂设备WiFi流量统计错误，读出来的流量是实际的两倍

2.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/WLAN/Devices

com.ctc.igd1.ObjectManager.GetManagedObjects

读出来WiFi接口得收和发都是一样的有问题RxBytes和TxBytes

3.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/WiFi com.ctc.igd1.Properties.GetAll

string:"com.ctc.igd1.WiFiInfo"

里面所有流量和收发包得结果都是0

4.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network com.ctc.igd1.Properties.GetAll

string:"com.ctc.igd1.NetworkInfo"

里面WiFi收发报文也是一样的

5.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network/WANConnectionDb

com.ctc.igd1.ObjectManager.GetManagedObjects

里面Other WAN绑定的是5GWiFi，上传下载不准确，尤其是上传只有1G多，实际5G

6.

History

#1 - 04/11/2025 12:01 - chuanjia liu

- Status changed from New to Resolved

#2 - 04/14/2025 16:29 - 天文 刘

- File 微信截图_20250414162856.png added

- Status changed from Resolved to New

新版本测试

测试步骤

1.配置一条INTNET WAN一条OTHER WAN 路由器桥接下挂网关LAN1口，PC1有线接在路由器下面。pc2通过WiFi连接网关5G，绑定OTHER WAN

2.PC1下载6G 上传5G PC2下载6.5G，上传4.5G

预期结果

都符合

实际问题
1.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/LANHosts com.ctc.igd1.ObjectManager.GetManagedObjects

发现5G设备下载和上传的统计的结果是实际的2倍

2.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network com.ctc.igd1.Properties.GetAll string:"com.ctc.igd1.NetworkInfo"

里面的WiFiTxBytes和WiFiRxBytes应该是0，应为5G是走的OTHER WAN 不应该统计在上网WAN，实际上是5G上传和下载的文件大小

LAN1TXByte超大很多统计了30G.

3.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network/WANConnectionDb

com.ctc.igd1.ObjectManager.GetManagedObjects

OTHER WAN 的 TxBytes只有0.7G 统计不准应该4.5G左右

#3 - 04/25/2025 09:51 - 天文 刘

- 测试版本 changed from 20250326174757 to 20250423164652

新版本流量统计OK，但是pc2通过WiFi连接网关5G，绑定OTHER WAN的流量1.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/LANHosts

com.ctc.igd1.ObjectManager.GetManagedObjects里面过一段时间之后会自动清0.这个流量再其他DBUS命令显示正常。

#4 - 04/29/2025 16:46 - chuanjia liu

- Status changed from New to Resolved

Files

流量5.log 73.3 KB 03/31/2025 天文 刘

微信截图_20250414162856.png 194 KB 04/14/2025 天文 刘
